## Package Win32::GUI::ProgressBar

Back to the Packages

- Constructor

  - new Win32::GUI::ProgressBar(PARENT, %OPTIONS)

- Methods

  - SetPos(VALUE)

  - SetRange([MIN], MAX)

  - SetStep([VALUE])

  - StepIt()

### Constructor

new Win32::GUI::ProgressBar(PARENT, %OPTIONS)

  Creates a new ProgressBar object; can also be called as PARENT->AddProgressBar(%OPTIONS). Class specific `%OPTIONS` are:

          -smooth   => 0/1 (default 0)
              uses a smooth bar instead of the default segmented bar.
          -vertical => 0/1 (default 0)
              display progress status vertically (from bottom to top).

### Methods

SetPos(VALUE)

  Sets the position of the ProgressBar to the specified VALUE.

SetRange([MIN], MAX)

  [TBD]

SetStep([VALUE])

  Sets the increment value for the ProgressBar; see StepIt().

StepIt()

  Increments the position of the ProgressBar of the defined step value; see SetStep().